
/*
ESS 

Problem: Educational level only available in ISCED. 

- sex
- Children yes/no
- Number of biological children
- Educational level
- Birth date / Cohort
- Born in Germany
- where lived before reunification
- interview date
- weights
*/




use ${data_ess}, clear
keep if cntry=="DE"

//  2,916
count

rename gndr sex
rename yrbrn birth

recode bthcld (7 8 = .)
rename bthcld children

recode nbthcld (66 = 0) (77=.)
replace children=2 if nbthcld == 0 
rename nbthcld nofchildren

recode brncntr (7=.)
rename brncntr borninde

// place of interview
recode intewde (1 = 1 "East") (2 = 2 "West"), gen(part)

rename inwyye intjahr

// education
recode edlvade edulvla eisced (77 88 99 = .)

recode age (999 = .)

recode birth 	(1914/1925.9 = 1 "1914-1926)") ///
			    (1926/1935.9 = 2 "1926-1936)") /// 
				(1936/1944.9 = 3 "1936-1945)") ///
				(1945/1960 = 4 "1945-1960") ///
				(else = .), gen(Chrt)	
 
keep idno sex birth children nofchildren edlvade Chrt borninde part intjahr dweight age edlvade edulvla eisced 

save "${tempDir}/00_ESS3-2006.dta", replace		

